aboutsummaryrefslogtreecommitdiff
path: root/desktop/dbgl/dbgl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/dbgl/dbgl.SlackBuild')
-rw-r--r--desktop/dbgl/dbgl.SlackBuild31
1 files changed, 25 insertions, 6 deletions
diff --git a/desktop/dbgl/dbgl.SlackBuild b/desktop/dbgl/dbgl.SlackBuild
index 1f161e8d837a4..0ddc355ff78a3 100644
--- a/desktop/dbgl/dbgl.SlackBuild
+++ b/desktop/dbgl/dbgl.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for dbgl
# Copyright 2018-2020 Leonardo Citrolo, Italy
+# Copyright 2023 Yth | Pont-en-Royans, France | yth@ythogtha.org
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=dbgl
-VERSION=${VERSION:-0.92}
+VERSION=${VERSION:-0.97}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -50,10 +51,14 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-case "$ARCH" in
- x86_64) ;;
- *) echo "$ARCH architecture is not supported"; exit 1 ;;
-esac
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+[[ $ARCH =~ i.86 ]] && echo "$ARCH architecture is not supported" && exit 1
set -e
@@ -63,7 +68,21 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
mkdir $PRGNAM-$VERSION
cd $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM${VERSION//./}.tar.gz
+# Building from source creates the binary package.tar.gz
+unzip $CWD/src${VERSION//./}.zip
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+ant
+
+# Converting the package.tar.gz into a Slackware package
+mkdir build
+cd build
+tar xvf ../dist/$PRGNAM${VERSION//./}.tar.gz
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \